using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PoolableObject : MonoBehaviour {
    public SpriteRenderer mainSprite;
    public Animator mainAnimator;
    public Rigidbody2D mainRigidbody;

    public virtual void Spawn()
    {
        this.gameObject.SetActive(true);
    }

    public virtual void Despawn()
    {
        this.gameObject.SetActive(false);
        Pool.Despawn(this);
    }
}
